<!--The content below is only a placeholder and can be replaced.-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">{{title}}</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav" *ngIf="identity">
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/home']"  [routerLinkActive]="['active']"><i class="fas fa-home"></i> Inicio <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/timeline']"><i class="fas fa-list-ul"></i> Timeline</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/users']"><i class="fas fa-users"></i> Gente</a>
      </li>
      <li class="nav-item">
          <a class="nav-link" [routerLink]="['/mensajes']"><i class="fas fa-envelope"></i> Mensajes</a>
        </li>
    </ul>
    <ul class="navbar-nav" *ngIf="!identity">
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/login']" [routerLinkActive]="['active']" ><i class="fas fa-sign-in-alt"></i> Login</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/register']" [routerLinkActive]="['active']" ><i class="fas fa-user"></i> Register</a>
      </li>
    </ul>
    <div class="dropdown ml-auto mr-5" *ngIf="identity">
        <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <img src="{{ url+'get-image-user/'+identity.image }}" alt="" class="avatar" *ngIf="identity.image">
            <img src="assets/icon-user-default.png" alt="" class="avatar" *ngIf="!identity.image">

          {{identity.name}}
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
          <a class="dropdown-item" [routerLink]="['/profile',identity._id]"><i class="fas fa-user"></i> Mi perfil</a>
          <a class="dropdown-item" [routerLink]="['/user-edit']"><i class="fas fa-user-cog"></i> Mis Datos</a>
          <a class="dropdown-item" (click)="logout()"><i class="fas fa-sign-out-alt"></i> Cerrar sesión</a>
        </div>
    </div>
  </div>
</nav>

<router-outlet></router-outlet>